%global dlrn_nvr tripleo-validations-11.3.2.dev32-0.20200318124452.3fd14c9
%global dlrn 1
%define upstream_version 11.3.2.dev32
%{lua: posix.setenv("RHEL_ALLOW_PYTHON2_FOR_BUILD",1)}
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver 3
%else
%global pyver 2
%endif

%global pyver_bin python%{pyver}
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility

%{!?upstream_version: %global upstream_version %{version}}
%global upstream_name tripleo-validations
%global with_doc 0

Name:           openstack-tripleo-validations
Summary:        Ansible playbooks to detect potential issues with TripleO deployments
Version: 11.3.2
Release: 0.20200318124452.3fd14c9%{?dist}
License:        ASL 2.0
URL:            http://tripleo.org
Source0: tripleo-validations-11.3.2.dev32-0.20200318124452.3fd14c9.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=3fd14c996068da955ee3842a9771869d51a4ecea
Patch0001: 0001-DOWNSTREAM-ONLY-Fix-ceph_ansible_repo-var-default-va.patch

BuildArch:      noarch
BuildRequires:  git
BuildRequires:  python%{pyver}-setuptools
BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-pbr
BuildRequires:  python%{pyver}-heatclient >= 1.10.0
BuildRequires:  python%{pyver}-glanceclient >= 2.9.1
BuildRequires:  python%{pyver}-ironicclient >= 2.3.0
%if %{pyver} == 2
Requires:       ansible >= 2
%else
Requires:       python3dist(ansible) >= 2
BuildRequires:  /usr/bin/pathfix.py
%endif
Requires:       python%{pyver}-pbr
Requires:       python%{pyver}-heatclient >= 1.10.0
Requires:       python%{pyver}-glanceclient >= 2.9.1
Requires:       python%{pyver}-ironicclient >= 2.3.0
Requires:       python%{pyver}-shade >= 1.24.0
Requires:       os-net-config >= 7.1.0
Requires:       python%{pyver}-ironic-inspector-client >= 3.1.1

%description
A collection of Ansible playbooks to detect and report potential issues during
TripleO deployments.

%package -n openstack-tripleo-validations-tests
Summary:        Tests for TripleO validations
Requires:       %{name} = %{version}-%{release}

BuildRequires:  python%{pyver}-heatclient
BuildRequires:  python%{pyver}-netaddr
BuildRequires:  python%{pyver}-novaclient
BuildRequires:  python%{pyver}-oslotest
BuildRequires:  python%{pyver}-subunit
BuildRequires:  python%{pyver}-swiftclient
BuildRequires:  python%{pyver}-testrepository
BuildRequires:  python%{pyver}-testscenarios
BuildRequires:  python%{pyver}-testtools
BuildRequires:  os-net-config
%if %{pyver} == 2
BuildRequires:  ansible >= 2
%else
BuildRequires:  python3dist(ansible) >= 2
%endif
BuildRequires:  openstack-macros

Requires:       python%{pyver}-subunit
Requires:       python%{pyver}-oslotest
Requires:       python%{pyver}-oslo-config >= 2:5.2.0
Requires:       python%{pyver}-oslo-utils >= 3.36.0
Requires:       python%{pyver}-heatclient >= 1.10.0
Requires:       python%{pyver}-keystoneauth1 >= 3.4.0
Requires:       python%{pyver}-mistralclient >= 3.1.0
Requires:       python%{pyver}-novaclient >= 1:9.1.0
Requires:       python%{pyver}-ironicclient >= 2.3.0
Requires:       python%{pyver}-six >= 1.10.0
Requires:       openstack-tripleo-common >= 7.1.0
Requires:       python%{pyver}-testrepository
Requires:       python%{pyver}-testscenarios
Requires:       python%{pyver}-testtools
Requires:       python%{pyver}-netaddr
Requires:       os-net-config >= 7.1.0
Requires:       python%{pyver}-shade >= 1.24.0
Requires:       python%{pyver}-ironic-inspector-client >= 3.1.1

%if %{pyver} == 2
Requires:       ansible >= 2
%else
Requires:       python3dist(ansible) >= 2
%endif

%description -n openstack-tripleo-validations-tests
This package contains the tripleo-validations test files.

%if 0%{?with_doc}
%package doc
Summary:          Documentation for OpenStack Tripleo Validations

BuildRequires:    python%{pyver}-sphinx
BuildRequires:    python%{pyver}-openstackdocstheme

%description      doc
This package contains the tripleo-validations Documentation files.
%endif

%prep
%autosetup -n %{upstream_name}-%{upstream_version} -S git

# Remove the requirements file so that pbr hooks don't add it
# to distutils requires_dist config
%py_req_cleanup

%build
%{pyver_build}

# docs generation
%if 0%{?with_doc}
%{pyver_bin} setup.py build_sphinx -b html
%endif

%install
%{pyver_install}

%if %{pyver} == 3
# Fix shebangs for Python 3-only distros
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{_datadir}/%{name}/library/
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{_datadir}/%{name}/lookup_plugins/
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{_datadir}/%{name}/callback_plugins/
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{_datadir}/%{name}/roles/
%endif

%check
PYTHON=%{pyver_bin} %{pyver_bin} setup.py testr

%files
%license LICENSE
%doc README.rst AUTHORS ChangeLog
%{pyver_sitelib}/tripleo_validations
%{pyver_sitelib}/tripleo_validations-*.egg-info
%{_datadir}/%{name}
%{_bindir}/tripleo-ansible-inventory
%{_bindir}/run-validations.sh
%exclude %{pyver_sitelib}/tripleo_validations/test*

%files -n openstack-tripleo-validations-tests
%license LICENSE
%{pyver_sitelib}/tripleo_validations/tests

%if 0%{?with_doc}
%files doc
%license LICENSE
%doc doc/build/html
%endif

%changelog
* Wed Mar 18 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Don't validate token_flush for non-persistent token formats

* Thu Mar 12 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Skeleton role, get with the decade

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Add basic molecule tests for uncovered roles

* Tue Mar 10 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Adds Search Path Override
- Add custom ansible-lint rule for Role Names

* Tue Mar 10 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- [DOWNSTREAM-ONLY] Fix ceph_ansible_repo var default value (rhbz#1805733)
- tripleo-validations failing on lower constraints

* Tue Feb 18 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Remove default ansible option in test runs
- Make groups documentation part dynamic
- Add pre/post ceph validation groups
- Fix upper and lower constraints
- Better task name and loop control
- Delete healthcheck-service-status role
- Normalize role names when generating roles
- molecule-xfs_check_ftypefailure (non-voting), remove from gate
- Replace all references to the old role name
- Adds basic molecule testing for ceph validations

* Thu Feb 06 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- zuul: all functional jobs now depend on linter job first

* Tue Jan 28 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Validate the playboooks metadata structure

* Mon Jan 27 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- New validation: validate-selinux

* Sun Jan 26 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Remove the useless environment variable.
- Removed workaround for ansible-lint issue
- Stop testing python2.7

* Sat Jan 11 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Add new validation_json callback

* Thu Jan 09 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Merge "Introduce Ceph placement group validation" into stable/train
- Introduce Ceph placement group validation

* Wed Jan 08 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Fix ceph-ansible repo check

* Tue Jan 07 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches

* Tue Dec 24 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Add an additional validation to check ceph-ansible repository" into stable/train
- Add an additional validation to check ceph-ansible repository

* Fri Dec 20 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Add a validation to fail if a Ceph dependency is not installed

* Mon Nov 25 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Rename custom "ini" module to "validations_read_ini"

* Fri Nov 15 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Add groups.yaml containing Validation Groups definition

* Mon Nov 04 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Avoid failure if dhcp_end or dhcp_start isn't set

* Mon Oct 28 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Add forgotten reportentry module in the documentation

* Fri Oct 25 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Update .gitreview for stable/train" into stable/train
- Update .gitreview for stable/train

* Wed Oct 23 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Set validation defaults to match undercloud default settings

* Tue Oct 22 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Fix Molecule tests
- Add workaround for the ansible-lint installation failure

* Tue Oct 22 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches

* Thu Oct 17 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Hide sensitive data from Ansible run and logging"
- Use dynamic argument_spec from documentation
- Hide sensitive data from Ansible run and logging

* Tue Oct 15 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix Ironic Authentication exception

* Thu Oct 10 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix missing closing parenthesis in skeleton role"
- Fix ost-tox-lower-constraints job indentation
- Fix missing closing parenthesis in skeleton role

* Fri Oct 04 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix Python 3 incompatibility in tripleo-ansible-inventory"
- Fix Python 3 incompatibility in tripleo-ansible-inventory

